org.eclipse.viatra.query.runtime.rete.recipes

## Interface ProductionRecipe

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, MultiParentNodeRecipe, org.eclipse.emf.common.notify.Notifier, RederivableNodeRecipe, ReteNodeRecipe
  All Known Implementing Classes:
    ProductionRecipeImpl

      public interface ProductionRecipe
      extends MultiParentNodeRecipe, RederivableNodeRecipe

  A representation of the model object 'Production Recipe'. The production node represents the output of the Rete network, from which the results of a query can be read.

  The following features are supported:

  - `Mapped Indices`
  - `Pattern`
  - `Pattern FQN`
  See Also:
    `RecipesPackage.getProductionRecipe()`
  Generated:
  Model:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArity()`
    `org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.Integer>` | `getMappedIndices()` Returns the value of the 'Mapped Indices' map.
    `java.lang.Object` | `getPattern()` Returns the value of the 'Pattern' attribute.
    `java.lang.String` | `getPatternFQN()` Returns the value of the 'Pattern FQN' attribute.
    `void` | `setPattern(java.lang.Object value)` Sets the value of the '`Pattern`' attribute.
    `void` | `setPatternFQN(java.lang.String value)` Sets the value of the '`Pattern FQN`' attribute.

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.MultiParentNodeRecipe

      `getParents`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.ReteNodeRecipe

      `getEquivalenceClassIDs, getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.RederivableNodeRecipe

      `getOptionalMonotonicityInfo, isDeleteRederiveEvaluation, setDeleteRederiveEvaluation, setOptionalMonotonicityInfo`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

  - ### Method Detail

    - #### getMappedIndices

          org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.Integer> getMappedIndices()

      Returns the value of the 'Mapped Indices' map. The key is of type `String`, and the value is of type `Integer`, String -> Index map. Indicates the positions of parameters.
      Returns:
        the value of the 'Mapped Indices' map.
      See Also:
        `RecipesPackage.getProductionRecipe_MappedIndices()`
      Generated:
      Model:
        mapType="org.eclipse.viatra.query.runtime.rete.recipes.StringIndexMapEntry<org.eclipse.emf.ecore.EString, org.eclipse.viatra.query.runtime.rete.recipes.Index>"

    - #### getPattern

          java.lang.Object getPattern()

      Returns the value of the 'Pattern' attribute. Traceability link to defining pattern object (from EMFPatternLanguage) TODO unused?
      Returns:
        the value of the 'Pattern' attribute.
      See Also:
        `setPattern(Object)`, `RecipesPackage.getProductionRecipe_Pattern()`
      Generated:
      Model:
        unique="false"

    - #### setPattern

          void setPattern(java.lang.Object value)

      Sets the value of the '`Pattern`' attribute.
      Parameters:
        `value` - the new value of the 'Pattern' attribute.
      See Also:
        `getPattern()`
      Generated:

    - #### getPatternFQN

          java.lang.String getPatternFQN()

      Returns the value of the 'Pattern FQN' attribute.
      Returns:
        the value of the 'Pattern FQN' attribute.
      See Also:
        `setPatternFQN(String)`, `RecipesPackage.getProductionRecipe_PatternFQN()`
      Generated:
      Model:

    - #### setPatternFQN

          void setPatternFQN(java.lang.String value)

      Sets the value of the '`Pattern FQN`' attribute.
      Parameters:
        `value` - the new value of the 'Pattern FQN' attribute.
      See Also:
        `getPatternFQN()`
      Generated:

    - #### getArity

          int getArity()

      Specified by:
        `getArity` in interface `MultiParentNodeRecipe`
      Specified by:
        `getArity` in interface `ReteNodeRecipe`
      Generated:
      Model:
        kind="operation" unique="false"